View Issue Details

IDProjectCategoryView StatusLast Update
0004226SymmetricDSBugpublic2020-05-26 14:48
ReportertmdoitAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004226: Table trigger configuration - Sync on Insert/Delete/Update Condition, wrong Sync Condition example
DescriptionIn docs is "Sync Conditions can access both old values and new values of a field/column using "old_" and "new_" respectively. [...]". It's not true, you can get values by accessing tables "inserted." and "deleted.".
Additional InformationI'm almost sure. :)
Tagstrigger

Activities

tmdoit

2020-01-06 21:33

reporter   ~0001674

Now I read from docs: "On SQL-Server it is added to the "WHERE" clause of a query for inserted/deleted logical tables. See Sync Condition Example.".
Maybe update docs to smth like:
Sync Condition Example
Sync Conditions can access both old values and new values of a field/column using "old_" and "new_" respectively (for MSSQL it is "deleted." and "inserted."). For example, if your column is id and your condition checks the value coming in to be 'test', your condition will be:
[...]

elong

2020-05-21 10:55

developer   ~0001718

It would hard to mention the specific alias needed for each of the 20+ databases supported unless we provide a table in the appendix. Maybe we reference the trigger template variable instead, which get replaced with the correct alias for the platform.

Issue History

Date Modified Username Field Change
2020-01-02 19:53 tmdoit New Issue
2020-01-02 19:53 tmdoit Tag Attached: trigger
2020-01-02 19:53 tmdoit Tag Attached: Condition
2020-01-06 21:33 tmdoit Note Added: 0001674
2020-05-21 10:52 elong Tag Detached: Condition
2020-05-21 10:55 elong Assigned To => elong
2020-05-21 10:55 elong Status new => resolved
2020-05-21 10:55 elong Resolution open => fixed
2020-05-21 10:55 elong Product Version 3.11.3 => 3.11.0
2020-05-21 10:55 elong Fixed in Version => 3.12.0
2020-05-21 10:55 elong Target Version => 3.12.0
2020-05-21 10:55 elong Note Added: 0001718
2020-05-26 14:48 elong Status resolved => closed